Qwt User's Guide: QwtPolarCanvas Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
QwtPolarCanvas Class Reference

Canvas of a QwtPolarPlot. More...

`#include <qwt_polar_canvas.h>`

Inheritance diagram for QwtPolarCanvas:

## Public Types
enum | PaintAttribute { BackingStore = 0x01 }
| Paint attributes. More...
typedef QFlags< PaintAttribute > | PaintAttributes

## Public Member Functions
| QwtPolarCanvas (QwtPolarPlot *)
| Constructor.
virtual | ~QwtPolarCanvas ()
| Destructor.
QwtPolarPlot * | plot ()
const QwtPolarPlot * | plot () const
void | setPaintAttribute (PaintAttribute, bool on=true)
| Changing the paint attributes.
bool | testPaintAttribute (PaintAttribute) const
const QPixmap * | backingStore () const
void | invalidateBackingStore ()
| Invalidate the internal backing store.
QwtPointPolar | invTransform (const QPoint &) const
QPoint | transform (const QwtPointPolar &) const

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *) override
virtual void | resizeEvent (QResizeEvent *) override

## Detailed Description

Canvas of a QwtPolarPlot.

The canvas is the widget, where all polar items are painted to.

Note
  In opposite to QwtPlot all axes are painted on the canvas.

See also
  QwtPolarPlot

Definition at line 27 of file qwt_polar_canvas.h.

## Member Typedef Documentation

## ◆ PaintAttributes

typedef QFlags<PaintAttribute > QwtPolarCanvas::PaintAttributes

An ORed combination of PaintAttribute values.

Definition at line 50 of file qwt_polar_canvas.h.

## Member Enumeration Documentation

## ◆ PaintAttribute

enum QwtPolarCanvas::PaintAttribute

Paint attributes.

The default setting enables BackingStore

See also
  setPaintAttribute(), testPaintAttribute(), backingStore()

Enumerator
BackingStore | Paint double buffered and reuse the content of the pixmap buffer for some spontaneous repaints that happen when a plot gets unhidden, deiconified or changes the focus.

Definition at line 40 of file qwt_polar_canvas.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarCanvas()

QwtPolarCanvas::QwtPolarCanvas | ( | QwtPolarPlot * | plot | ) |
| explicit

Constructor.

Definition at line 77 of file qwt_polar_canvas.cpp.

## ◆ ~QwtPolarCanvas()

QwtPolarCanvas::~QwtPolarCanvas | ( |  | ) |
| virtual

Destructor.

Definition at line 91 of file qwt_polar_canvas.cpp.

## Member Function Documentation

## ◆ backingStore()

const QPixmap * QwtPolarCanvas::backingStore | ( |  | ) | const

Returns
  Backing store, might be null

Definition at line 170 of file qwt_polar_canvas.cpp.

## ◆ invalidateBackingStore()

void QwtPolarCanvas::invalidateBackingStore | ( |  | ) |

Invalidate the internal backing store.

Definition at line 176 of file qwt_polar_canvas.cpp.

## ◆ invTransform()

QwtPointPolar QwtPolarCanvas::invTransform | ( | const QPoint & | pos | ) | const

Translate a point from widget into plot coordinates

Parameters

  pos | Point in widget coordinates of the plot canvas

Returns
  Point in plot coordinates

See also
  transform()

Definition at line 267 of file qwt_polar_canvas.cpp.

## ◆ paintEvent()

void QwtPolarCanvas::paintEvent | ( | QPaintEvent * | event | ) |
| overrideprotectedvirtual

Paint event

Parameters

  event | Paint event

Definition at line 186 of file qwt_polar_canvas.cpp.

## ◆ plot() [1/2]

QwtPolarPlot * QwtPolarCanvas::plot | ( |  | ) |

Returns
  Parent plot widget

Definition at line 97 of file qwt_polar_canvas.cpp.

## ◆ plot() [2/2]

const QwtPolarPlot * QwtPolarCanvas::plot | ( |  | ) | const

Returns
  Parent plot widget

Definition at line 103 of file qwt_polar_canvas.cpp.

## ◆ resizeEvent()

void QwtPolarCanvas::resizeEvent | ( | QResizeEvent * | event | ) |
| overrideprotectedvirtual

Resize event

Parameters

  event | Resize event

Definition at line 251 of file qwt_polar_canvas.cpp.

## ◆ setPaintAttribute()

void QwtPolarCanvas::setPaintAttribute | ( | PaintAttribute | attribute,
|  | bool | on = true )

Changing the paint attributes.

Parameters

  attribute | Paint attribute
  on | On/Off

The default setting enables BackingStore

See also
  testPaintAttribute(), paintCache()

Definition at line 118 of file qwt_polar_canvas.cpp.

## ◆ testPaintAttribute()

bool QwtPolarCanvas::testPaintAttribute | ( | PaintAttribute | attribute | ) | const

Test whether a paint attribute is enabled

Parameters

  attribute | Paint attribute

Returns
  true if the attribute is enabled

See also
  setPaintAttribute()

Definition at line 164 of file qwt_polar_canvas.cpp.

## ◆ transform()

QPoint QwtPolarCanvas::transform | ( | const QwtPointPolar & | polarPos | ) | const

Translate a point from plot into widget coordinates

Parameters

  polarPos | Point in plot coordinates

Returns
  Point in widget coordinates

See also
  transform()

Definition at line 310 of file qwt_polar_canvas.cpp.